exclamation-circle OSX10.6 Modelio 3.0 Incompatible heap sizes specified

5 years 11 months ago #2236 by illustrious
Hi Folks,

Apologies for the delayed reply...

I'm on OSX 10.6.8, with 4GB RAM, running:

java -version
java version "1.6.0_65"
Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-10M4609)
Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)

Please Log in or Create an account to join the conversation.

5 years 11 months ago #2237 by illustrious
SOLVED - I've installed JDK7 on OSX10.6.8 using Pacifist and now Modelio starts up just fine :)

1. Download JDK 7 - www.oracle.com/technetwork/java/javase/d...wnloads-1880260.html
2. Install Pacifist (shareware, sorry) - www.charlessoft.com
3. Open the .dmg with pacifist (right click open with...)
4. Run the .pkg from within pacifist (this overcomes the restriction that JDK7 cannot be installed on less than OSX 10.7)
5. Change the order of preferred JREs in /Applications/Utilities/Java Preferences.app - drag JDK10.7 to the top of the list
6. Open a new command window
7. $./modelio
8. :-)
The following user(s) said Thank You: andy

Please Log in or Create an account to join the conversation.

5 years 11 months ago #2241 by pan
Hi illustrious,

Thanks for the tip. We will add this tip on the Modelio website FAQ.
It is a workaround to make Modelio working on MacOSX < 10.7.3. It should work but we are not sure that Modelio works correctly with this configuration.

BR

Please Log in or Create an account to join the conversation.

5 years 11 months ago #2247 by illustrious
Hi pan,
If there's a unit test suite that's easily runnable i'm happy to run it and feedback results?
The UI looks to work, it's eclipse after all, but i'm a modelio newbie so haven't yet discovered how to stress Modelio itself. Have successfully installed the TOGAF and Hibernate community addons though.
cheers

Please Log in or Create an account to join the conversation.

5 years 11 months ago #2248 by pan
Hi illustrious,

The best way to test it is to use it ;-)
Do not hesitate to give us your feedback about your experience.

BR

Please Log in or Create an account to join the conversation.

5 years 9 months ago #2454 by cde
Hi,

Modelio 3.1 has now been validated on Mac OS 10.9.1 too.

N.B. A JDK 1.7 is mandatory for Modelio to works on Mac OS, a simple JRE 1.7 is not enough.
You can download the JDK 1.7 dmg at oracle.com .

Best regards,
cde

Please Log in or Create an account to join the conversation.

Moderators: oslcde
Time to create page: 0.045 seconds
^ Back to Top